DRIVER_FOR_EACH_DEVI(9)

NAME
driver_for_each_device - Iterator for devices bound to a driver.

SYNOPSIS

int driver_for_each_device(struct device_driver * drv, struct device * start, void * data, int (*fn) (struct device *, void *));

ARGUMENTS

drv
    Driver we're iterating.

start
    Device to begin with

data
    Data to pass to the callback.

fn
    Function to call for each device.

DESCRIPTION

Iterate over the drv's list of devices calling fn for each one.

COPYRIGHT